# Example configuration for a trac website
#
# put the string SVN_TRAC in /etc/sysconfig/apache2 APACHE_SERVER_FLAGS
# to enable the URL
# http://localhost/trac
<IfDefine TRAC_CGI>

	ScriptAlias /trac /usr/share/trac/cgi-bin/trac.cgi

	<Location "/trac">
		SetEnv TRAC_ENV_PARENT_DIR "/srv/trac"
                AllowOverride AuthConfig
		Order allow,deny
		Allow from all
	</Location>

</IfDefine>

<IfModule mod_python.c>
<IfDefine TRAC_MODPYTHON>

        ScriptAlias /trac "/srv/trac"

	<Location /trac>
		SetHandler mod_python
		PythonInterpreter main_interpreter
		PythonHandler trac.web.modpython_frontend 
		PythonOption TracEnvParentDir /srv/trac
		PythonOption TracUriRoot /trac
                Order allow,deny
                Allow from all
	</Location>

        <LocationMatch "/[^/]+/login">
                AuthType Basic
                AuthName "Trac"
                AuthUserFile /srv/trac/user_access/passwdfile
                Require valid-user
        </LocationMatch>

</IfDefine>
</IfModule>

